package com.neusoft.smart.pos.framework.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description Swagger在线api配置
 */
@Configuration
@EnableSwagger2
public class SwaggerConfig {

    @Bean
    public Docket buildDocket(){
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(buildApiInf())
                .select()       
                .apis(RequestHandlerSelectors.basePackage("com.neusoft.smart.pos"))//controller路径
                .paths(PathSelectors.any())
                .build();
    }

    private ApiInfo buildApiInf(){
        return new ApiInfoBuilder()
                .title("Swagger接口Api")
                .termsOfServiceUrl("团队服务地址")
                .description("springmvc swagger2")
                .contact(new Contact("zhangchuanfu","", "zhangchuanfu@neusoft.com"))
                .version("1.0")
                .build();
    }
}